%global momorel 3

Name:           perl-XML-Twig
Version:        3.35
Release:        %{momorel}m%{?dist}
Summary:        Perl module for processing huge XML documents in tree mode
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Twig/
Source0:        http://www.cpan.org/authors/id/M/MI/MIROD/XML-Twig-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-XML-Parser >= 2.23
Requires:       perl-XML-Parser >= 2.23
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a way to process XML documents. It is build on top of
XML::Parser.

%prep
%setup -q -n XML-Twig-%{version}

%build
%{__perl} Makefile.PL -y INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes check_optional_modules filter_for_5.005 README speedup Twig_pm.slow
%{_bindir}/xml_merge
%{_bindir}/xml_grep
%{_bindir}/xml_pp
%{_bindir}/xml_spellcheck
%{_bindir}/xml_split
%{perl_vendorlib}/XML/*
%{_mandir}/man?/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.35-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.35-2m)
- rebuild against perl-5.12.1

* Mon May 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.35-1m)
- update to 3.35

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.34-2m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.34-1m)
- update to 3.34

* Sun Jan 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.33-1m)
- update to 3.33
- Specfile re-generated by cpanspec 1.78.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.32-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.32-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.32-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.32-2m)
- rebuild against gcc43

* Thu Nov 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.32-1m)
- update to 3.32

* Thu Nov  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.31-1m)
- update to 3.31

* Wed Nov  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.30-1m)
- update to 3.30
- use "perl Makefile.PL -y"

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.29-2m)
- use vendor

* Tue Jan 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.29-1m)
- update to 3.29

* Sat Jan  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.28-1m)
- update to 3.28

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.26-1m)
- update to 3.26

* Fri Jun  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.25-1m)
- update to 3.25

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.23-1m)
- update to 3.23

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.22-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.22-1m)
- update to 3.22

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.17-1m)
- version up to 3.17
- built against perl-5.8.7

* Fri Dec 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.15-1m)
- update to 3.15

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.11-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.11-2m)
- remove Epoch from BuildRequires

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (3.11-1m)
- ver up.

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (3.09-7m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.09-6m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.09-5m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (3.09-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.09-3m)
- kill %%define version

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.09-2m)
- rebuild against perl-5.8.0

* Wed Nov 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.09-1m)

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.05-1m)

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (2.02-4k)
- rebuild against for perl-5.6.1

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (2.02-2k)
- merge from rawhide. based on 2.02-2.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 2.02-2
- imported from mandrake. tweaked man path.

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 2.02-1mdk
- Newly introduced for Foomatic.

